spring:
    profiles:
        active: default
        group:
          default: winTest

---
spring:
  config:
    activate:
      on-profile: default

server:
  port: 18083
      
state:
  # 공통코드 CT001의 코드 6자리
  id: IC0302 # 주기장 상태 분석
  # 1:Primary, 2:Secondary
  type: Primary

database:
  db1:
    datasource: 
      driver-class-name: com.tmax.tibero.jdbc.TbDriver
      jdbcUrl: jdbc:tibero:thin:@10.200.31.4:8629:sacp
      username: ucm
      password: ucm
  db2:
    datasource: 
      driver-class-name: com.tmax.tibero.jdbc.TbDriver
      jdbcUrl: jdbc:tibero:thin:@10.200.31.4:8629:sacp
      username: uic
      password: uic    

kafka:
  settings:
  bootstrapAddress: 10.200.31.6:9091,10.200.31.8:9091,10.200.31.142:9091
  consumer:
    group-id: EyeANA_StandStatus
  producer:
     key-serializer: org.apache.kafka.common.serialization.StringSerializer 
     value-serializer: org.springframework.kafka.support.serializer.JsonSerializer
  message:
    topic:
      recv:
        video: ai.analyze.video
      send:
        sttus: ic.analyze.stand.status_test
        alarm: ic.analyze.alarm_test
        
---
spring:
  config:
    activate:
      on-profile: real

state:
  # 공통코드 CT001의 코드 6자리
  id: IC0302 # 주기장 상태 분석
  # 1:Primary, 2:Secondary
  type: Primary

# on-profile: real... END
---
spring:
  config:
    activate:
      on-profile: winTest

state:
  # 공통코드 CT001의 코드 6자리
  id: TEST01 # 주기장 상태 분석
  # 1:Primary, 2:Secondary
  type: Primary

kafka:
  message:
    topic:
      recv:
        video: ai.analyze.video
      send:
        sttus: ic.analyze.stand.status_test
        alarm: ic.analyze.alarm_test
# on-profile: winTest... END